# List of Tournaments

## List of Tournaments

<mark style="color:blue;">`GET`</mark> `https://dde-api.data.imgarena.com/tabletennis/tournaments/`

This endpoint returns an object containing tournaments.

#### Path Parameters

| Name     | Type   | Description                               |
| -------- | ------ | ----------------------------------------- |
| dateFrom | string | YYYY-MM-DD (Example: dateFrom=2021-01-01) |
| dateTo   | string | YYYY-MM-DD (Example: dateTo=2021-02-01)   |

#### Headers

| Name          | Type   | Description                                      |
| ------------- | ------ | ------------------------------------------------ |
| Accept        | string | application/vnd.imggaming.dde.api+json;version=1 |
| Authorization | string | OAuth2 Bearer token                              |

{% tabs %}
{% tab title="200 " %}

```
[
    {
        "city": "Olomouc",
        "competitions": [
            {
                "competitionId": 41,
                "drawSize": 32,
                "externalId": "2480-TTEMSINGLES",
                "organisation": "ITTF",
                "participantType": "MS",
                "qualifyingDrawSize": 4
            },
            {
                "competitionId": 42,
                "drawSize": 32,
                "externalId": "2480-TTEWSINGLES",
                "organisation": "ITTF",
                "participantType": "LS",
                "qualifyingDrawSize": 4
            }
        ],
        "countryCode": "SLO",
        "endDate": "2021-11-14",
        "eventsSummary": {},
        "identifier": 29,
        "location": "Sports Hall Tri Lilije",
        "numberOfMatches": 0,
        "startDate": "2021-11-08",
        "status": "Confirmed",
        "tournamentName": "WTT Contender Novo Mesto 2021",
        "utcOffset": 0,
        "year": 2021
    }
]
```

{% endtab %}

{% tab title="302 " %}

```
```

{% endtab %}

{% tab title="304 " %}

```
```

{% endtab %}

{% tab title="400 " %}

```
The value of HTTP header 'Accept' was malformed:
Accept must match .*application/vnd.imggaming.dde.api\+json;\s?version=(\d).*, image/* or text/csv
```

{% endtab %}

{% tab title="401 " %}

```
The supplied authentication is invalid
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/table-tennis/schedule-endpoints-restful/tournaments-1/tournaments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
